// Arquivo de exemplo: XmlWriter2.aspx.cs
using System;
using System.Xml;

public partial class XmlWriter2 : System.Web.UI.Page {
	protected void Page_Load(object sender, EventArgs e) {
		XmlWriterSettings set = new XmlWriterSettings();
		set.Indent = true;
		set.IndentChars = (" ");
		set.Encoding = System.Text.Encoding.GetEncoding("ISO-8859-1");
		using (XmlWriter escreve = XmlWriter.Create(@"C:\Livro\Capitulo22\teste1.xml", set)) {
			escreve.WriteStartElement("Livro");
			escreve.WriteAttributeString("xmlns", "a", null, "http://www.novatec.com.br/namespace");
			escreve.WriteElementString("Título", "http://www.novatec.com.br/namespace","Como programar com ASP.NET e C#");
			escreve.WriteElementString("Autor", "http://www.novatec.com.br/namespace", "Alfredo Lotar"); 
			escreve.WriteStartElement("Preço", "http://www.novatec.com.br/namespace");
			escreve.WriteAttributeString("moeda", "R$");
			escreve.WriteString("80.00");
			escreve.WriteEndElement();
			escreve.WriteEndElement();
			escreve.Flush();
            Response.Write("Documento criado com sucesso.");
		}
	}
}
